summaryrefslogtreecommitdiff
path: root/ext/fcntl
diff options
context:
space:
mode:
authorhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2017-09-14 02:01:36 +0000
committerhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2017-09-14 02:01:36 +0000
commit4d5c414fcc0cd1c01580a1f9dc05a613c13929b2 (patch)
treeb05b3accbce5cd7aae1cc9f73981aeab281d6578 /ext/fcntl
parent9ea2102e57114d4c722b90355ab8ffe197938012 (diff)
Update gemspec for gem released versions.
* These are dbm, fcntl, io-console, sdbm, stringio, strscan, zlib, cmath, scanf. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59873 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/fcntl')
-rw-r--r--ext/fcntl/fcntl.gemspec37
1 files changed, 23 insertions, 14 deletions
diff --git a/ext/fcntl/fcntl.gemspec b/ext/fcntl/fcntl.gemspec
index 09ad387..07922e1 100644
--- a/ext/fcntl/fcntl.gemspec
+++ b/ext/fcntl/fcntl.gemspec
@@ -1,17 +1,26 @@
-Gem::Specification.new do |s|
- s.name = "fcntl"
- s.version = '0.0.1'
- s.date = '2017-02-10'
- s.summary = "Loads constants defined in the OS fcntl.h C header file"
- s.description = "Loads constants defined in the OS fcntl.h C header file"
+# coding: utf-8
+# frozen_string_literal: true
- s.require_path = %w{lib}
- s.files = %w{depend extconf.rb fcntl.c}
- s.extensions = %w{extconf.rb}
- s.required_ruby_version = ">= 2.5.0dev"
+Gem::Specification.new do |spec|
+ spec.name = "fcntl"
+ spec.version = "0.0.1"
+ spec.date = '2017-02-10'
+ spec.authors = ["Yukihiro Matsumoto"]
+ spec.email = ["matz@ruby-lang.org"]
- s.authors = ["Yukihiro Matsumoto"]
- s.email = ["matz@ruby-lang.org"]
- s.homepage = "https://www.ruby-lang.org"
- s.license = "BSD-2-Clause"
+ spec.summary = "Loads constants defined in the OS fcntl.h C header file"
+ spec.description = "Loads constants defined in the OS fcntl.h C header file"
+ spec.homepage = "https://github.com/ruby/fcntl"
+ spec.license = "BSD-2-Clause"
+
+ spec.files = ["ext/fcntl/extconf.rb", "ext/fcntl/fcntl.c"]
+ spec.bindir = "exe"
+ spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
+ spec.require_paths = ["lib"]
+ spec.extensions = "ext/fcntl/extconf.rb"
+ spec.required_ruby_version = ">= 2.5.0dev"
+
+ spec.add_development_dependency "bundler", "~> 1.14"
+ spec.add_development_dependency "rake", "~> 12"
+ spec.add_development_dependency "rake-compiler"
end